import { use } from "echarts/core";
import { CanvasRenderer } from "echarts/renderers";
import {
  BarChart,
  LineChart,
  PieChart,
  RadarChart,
  GaugeChart,
} from "echarts/charts";
import {
  GridComponent,
  TooltipComponent,
  LegendComponent,
  DataZoomComponent,
  GraphicComponent,
  TitleComponent,
  GeoComponent,
  LegendScrollComponent,
  ToolboxComponent,
} from "echarts/components";

import MyModal from "./MyModal/index.vue";
import FooterInfo from "./FooterInfo/index.vue";

use([
  CanvasRenderer,
  BarChart,
  LineChart,
  PieChart,
  RadarChart,
  GaugeChart,
  GridComponent,
  TooltipComponent,
  LegendComponent,
  DataZoomComponent,
  GraphicComponent,
  TitleComponent,
  GeoComponent,
  LegendScrollComponent,
  ToolboxComponent,
]);

export default {
  install(Vue: any) {
    Vue.component("MyModal", MyModal);
    Vue.component("FooterInfo", FooterInfo);
  },
};
